#!/bin/sh

a= . install2-init-functions
. shell-config

N=$(($(sed -n '/^AcceptEnv/{=}' $destdir/etc/openssh/sshd_config | tail -1) + 1)); sed -i "${N}i AcceptEnv LC_PVE_TICKET\n" $destdir/etc/openssh/sshd_config
N=$(($(sed -n '/^[[:space:]]*SendEnv/{=}' $destdir/etc/openssh/ssh_config | tail -1) + 1)); sed -i "${N}i \ \ \ \ SendEnv LC_PVE_TICKET\n" $destdir/etc/openssh/ssh_config

cp $destdir/usr/share/doc/pve-cluster/rrdcached.sysconfig $destdir/etc/sysconfig/rrdcached
mkdir -p $destdir/var/lib/rrdcached/{db,journal}
rm -f $destdir/etc/corosync/corosync.conf

chroot $destdir systemctl enable syslogd ntpd rrdcached ksmtuned crond lxcfs cgmanager 
chroot $destdir systemctl enable nfs-client.target pve-cluster.service pve-manager.service
